Discuz! 官方站

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
楼主: bugx

[新问题] 【终极解决方案】QQ互联登录connect_error_code_20003错误,code_0错误

[复制链接]
 楼主| 发表于 2015-9-11 08:30:24 | 显示全部楼层
独孤羽 发表于 2015-9-10 20:06
终于弄好了,折腾半天。。
谢谢楼主的教程!
2.5的论坛,按照你的教程基本没问题。

注册也没有问题吧
回复

使用道具 举报

 楼主| 发表于 2015-9-11 08:31:57 | 显示全部楼层
lantian32 发表于 2015-9-11 06:21
尊敬的楼主您好,我站QQ互联也出现20003错误,本想按您的方法操作,但执行phpinfo()发现与您的截图很大不同 ...

只要是enable就可以了。PHP版本问题。
使用检测脚本先测试下能不能通过。通过就尝试下升级
回复

使用道具 举报

发表于 2015-9-11 09:02:14 | 显示全部楼层
非常感谢楼主!但经过您提供的qqtest.php测试,出现 YOU should install and open Curl_PHP 的提示!结果如下:
------------------------------------------------------
test Curl
curl_init good!
array(20) { ["url"]=> string(39) "https://graph.qq.com/user/get_user_info" ["content_type"]=> NULL ["http_code"]=> int(0) ["header_size"]=> int(0) ["request_size"]=> int(0) ["filetime"]=> int(-1) ["ssl_verify_result"]=> int(0) ["redirect_count"]=> int(0) ["total_time"]=> float(0.031) ["namelookup_time"]=> float(0) ["connect_time"]=> float(0.047) ["pretransfer_time"]=> float(0) ["size_upload"]=> float(0) ["size_download"]=> float(0) ["speed_download"]=> float(0) ["speed_upload"]=> float(0) ["download_content_length"]=> float(-1) ["upload_content_length"]=> float(-1) ["starttransfer_time"]=> float(0) ["redirect_time"]=> float(0) } YOU should install and open Curl_PHP
------------------------------------------------------
我该怎么办呢?谢谢!
回复

使用道具 举报

发表于 2015-9-11 10:12:30 | 显示全部楼层
本帖最后由 独孤羽 于 2015-9-11 10:15 编辑
bugx 发表于 2015-9-11 08:30
注册也没有问题吧

注册,完善资料都没问题,只是不知道我改了哪里,qq登录后注册页面是2.5的样子,不是3.2的。。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

发表于 2015-9-11 15:18:17 | 显示全部楼层
楼主你好,我下载你的X3包覆盖后,后台点QQ互联更新,提示已是最新版,现在版本是QQ互联 1.17 ,前台测试还是OAuth1.0,怎么处理?谢谢
回复

使用道具 举报

 楼主| 发表于 2015-9-11 15:22:03 | 显示全部楼层
scdxs 发表于 2015-9-11 15:18
楼主你好,我下载你的X3包覆盖后,后台点QQ互联更新,提示已是最新版,现在版本是QQ互联 1.17 ,前台测试还 ...

看更新包里说明文件。
qq互联要点下升级。
然后还有一个升级到2.0的也要升级下。
回复

使用道具 举报

 楼主| 发表于 2015-9-11 15:24:08 | 显示全部楼层
本帖最后由 bugx 于 2015-9-11 15:32 编辑
lantian32 发表于 2015-9-11 09:02
非常感谢楼主!但经过您提供的qqtest.php测试,出现 YOU should install and open Curl_PHP 的提示!结果如 ...

貌似不支持ssl。这个提示就是没抓取成功。升级PHP到5.3看看呗
回复

使用道具 举报

 楼主| 发表于 2015-9-11 15:35:04 | 显示全部楼层
独孤羽 发表于 2015-9-11 10:12
注册,完善资料都没问题,只是不知道我改了哪里,qq登录后注册页面是2.5的样子,不是3.2的。。

哦,是不是用的补丁覆盖的?
如果是自己修改的话,应该是不会改动这个部分吧。
回复

使用道具 举报

发表于 2015-9-11 15:35:49 | 显示全部楼层
bugx 发表于 2015-9-11 15:35
哦,是不是用的补丁覆盖的?
如果是自己修改的话,应该是不会改动这个部分吧。

不是补丁覆盖,按照你写的那些修改的文件。。
回复

使用道具 举报

 楼主| 发表于 2015-9-11 15:39:00 | 显示全部楼层
独孤羽 发表于 2015-9-11 15:35
不是补丁覆盖,按照你写的那些修改的文件。。

你本身是2.5的,修改后当然也是2.5的啊。不会变成3.2
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

腾讯云自营「网站建设」全新上线!仅需1元,即可快速体验企业官网、电商网站的海量精美模版

小黑屋|Discuz! 官方站 ( 粤B2-20090059-165 )star

GMT+8, 2020-12-1 23:01

Powered by Discuz! X3.3

Copyright © 2001-2019 Tencent Cloud.

快速回复 返回顶部 返回列表